Subject: Re: [bug#32370] [PATCH 4/4] gnu: Add ruby-multi-test.

From: Christopher Baines <[email-masked]>
Date: Tue, 28 Aug 2018 21:30:57 +0100

Björn Höfling <[email-masked]> writes:

>> +(define-public ruby-multi-test
>> +  (package
>> +    (name "ruby-multi-test")
>
> Do we have name conventions for Ruby? The original name is with
> underscore: multi_test, here it is written with hyphen: multi-test.
>
>
> Compare: ruby-data_uri is with underscore.

Personally, I've been using dashes rather than underscores. I've only
looked to use underscores where the name with dashes is already in use.

I'm not sure if there's a standard though, however, if you use the gem
importer for a package dependant on multi_test, it'll generate the
package name ruby-multi-test (cucumber for example).